Bug 427189 - "broken pipe" and cannot start any program (including su and bash)
"broken pipe" and cannot start any program (including su and bash)
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nss_ldap (Show other bugs)
i686 Linux
low Severity high
: rc
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2008-01-02 00:54 EST by Eijiro Sumii
Modified: 2012-06-20 12:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 12:13:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eijiro Sumii 2008-01-02 00:54:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ja; rv: Gecko/20071127 Firefox/

Description of problem:
After running nscd with nss_ldap for a while (< 1 day), the entire system becomes unusable: even bash or su fails to start, saying "broken pipe".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set up nss_ldap and nscd.
2. Wait for a while (< 24 hours).  Something like

for i in `seq 1 1000` ; do id notme$i 2>/dev/null ; done
lsof | grep ^nscd

may also help to illustrate part of the problem.

Actual Results:
Every program (including su, bash, ssh, ps, ls, etc.) says "broken pipe" and fails to start

Expected Results:
No "broken pipe"

Additional info:
My _guess_ is that the problem _may_ be related to:


Although the above reports are for Debian, they seem to apply to RHEL 4.6 as well.  In particular, the bash command lines

for i in `seq 1 1000` ; do id notme$i 2>/dev/null ; done
lsos | grep ^nscd

often (though not always) seem to illustrate part of the problem.
Comment 1 Josh Miller 2008-01-16 09:43:08 EST
I have systems exhibiting the same behavior and I can confirm that downgrading
nss_ldap to nss_ldap-226-18 does fix this issue.
Comment 2 Eijiro Sumii 2008-03-18 04:24:00 EDT
I also downgraded from nss_ldap-226-20 to nss_ldap-226-18, and my systems are
running well (with nscd) for more than a week.  Thanks!

FYI, the problem _might_ have been related to nss_initgroups_ignoreusers in
/etc/ldap.conf - see Bug 431301.
Comment 3 Jiri Pallich 2012-06-20 12:13:19 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.